<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('mrf_approvers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('company_id');
            $table->string('dealership_id');
            $table->string('group_id');
            $table->string('division_id');
            $table->string('department_id');
            $table->string('endorser');
            $table->string('approver');
            $table->boolean('enabled')->default(true);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('mrf_approvers');
    }
};
